# Classification (V1.0 - Deprecated)

{% admonition type="danger" name="This API is deprecated and will be removed in July 2026" %}
  Please migrate to the **Classification API v3.0** documented below.
{% /admonition %}

{% admonition type="warning" name="Notice about authentication with cookie adama_session" %}
  The use of cookie `adama_session` for authentication has been discontinued and it's not supported in Classification API v3.0.
  We ask all of our clients who have not yet migrated to **Bearer (JWT) Authentication** to do so as soon as possible.
{% /admonition %}

Creative classification endpoints (V1.0 — deprecated).


## Get Inflated Classification

 - [GET /classification/v1.0/{creative_id}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-creative_id-inflate.md): > ⚠️ Deprecated — Use GET /v3.0/classification/{cid}/inflate instead.

Get Inflated Classification

## Bulk Inflated Classification

 - [GET /classification/v1.0/bulk/{creative_ids}/inflate](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-bulk-creative_ids-inflate.md): > ⚠️ Deprecated — Use GET /v3.0/classification/bulk/{cids}/inflate instead.

The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

## Bulk Classification

 - [GET /classification/v1.0/bulk/{creative_ids}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-bulk-creative_ids.md): > ⚠️ Deprecated — Use GET /v3.0/classification/bulk/{cids} instead.

The bulk classification endpoints are useful for batch retrieval and editting of a group of existing creatives.

## Bulk Update Classification

 - [POST /classification/v1.0/bulk](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/post_classification-v1-0-bulk.md): > ⚠️ Deprecated — Use POST /v3.0/classification/bulk instead.

Prior to creating or updating the classification record of any creative, those creatives must exist.

Unlike in the single creative classifiction, no creative IDs are passed in the url itself.

## Update Classification

 - [POST /classification/v1.0/{creative_id}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/post_classification-v1-0-creative_id.md): > ⚠️ Deprecated — Use POST /v3.0/classification/{cid} instead.

Update Classification

## Get Classification

 - [GET /classification/v1.0/{creative_id}](https://apidocs.mediamath.com/apis/video-creatives/classification-(v1.0-deprecated)/get_classification-v1-0-creative_id.md): > ⚠️ Deprecated — Use GET /v3.0/classification/{cid} instead.

Get Classification

